<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <NoWarn>1701;1702;8602;8616;8618;8625;8600;8603;8714;1591</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <NoWarn>1701;1702;8602;8616;8618;8625;8600;8603;8714;1591</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Systems\puiaxxwa.5zv~" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MessagePack" Version="2.5.108" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="7.0.5" />
    <PackageReference Include="wms.sqlsugar" Version="1.0.0.4" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\ServiceCenter\ServiceCenter.csproj" />
    <ProjectReference Include="..\WCS.Entity.Protocol\WCS.Entity.Protocol.csproj" />
  </ItemGroup>

</Project>
